import { Singleton } from '../Common/Singleton';
import { Command } from '../Editor/CommandMachine';
import { IBaseOption, IUiOption } from "../UI/Store/OptionInterface/IOptionInterface";
export declare enum ArrayType {
    Rectangle = "R",
    Circle = "C"
}
export declare enum CirArrMethod {
    itemsAndAngle = 0,
    itemsAndBeAngle = 1,
    fillAngleAndBeAngle = 2
}
export declare enum Pick {
    centerPoint = 0,
    rowOffset = 2,
    colOffset = 3,
    rowAndColOffset = 7,
    arrayAngle = 4,
    fillAngle = 5,
    betweenAngle = 6
}
export interface ArrayOptioins extends IBaseOption {
    row: number;
    col: number;
    type: ArrayType;
    rowOffset: number;
    colOffset: number;
    arrayAngle: number;
    x: number;
    y: number;
    itemTotal: number;
    fillAngle: number;
    betweenAngle: number;
    method: CirArrMethod;
    isCorrect: boolean;
}
export declare class ArrayStore extends Singleton {
    protected m_UiOption: IUiOption<ArrayOptioins>;
    m_Option: ArrayOptioins;
    get UIOption(): IUiOption<ArrayOptioins>;
    HasInvailValue(): "" | "存在无效数值,请修正" | "项目间的角度不能超过填充角度" | "项目总数不能为1";
    Cancel(): void;
    OnOk(): void;
    _Return(state: number): void;
}
export declare class Command_Array implements Command {
    arrayStore: ArrayStore;
    exec(): Promise<void>;
}
//# sourceMappingURL=Array.d.ts.map