import { Vector3 } from "three";
import { Board } from "../../DatabaseServices/Entity/Board";
import { TemplateWineRackRecord } from "../../DatabaseServices/Template/ProgramTempate/TemplateWineRackRecord";
import { TemplateRecord } from "../../DatabaseServices/Template/TemplateRecord";
import { ISpaceParse } from "../../Geometry/SpaceParse/ISpaceParse";
import { BehindBoardOption, IGrooveOption, LayerBoardOption, VerticalBoardOption } from "../../UI/Store/OptionInterface/IOptionInterface";
export declare function BuildLayerBoards(opt: LayerBoardOption, space: ISpaceParse, grooveOption?: IGrooveOption): Promise<Board[]>;
export declare function BuildVerticalBoards(opt: VerticalBoardOption, space: ISpaceParse, grooveOption?: IGrooveOption): Promise<Board[]>;
export declare function BuildBehindBoards(opt: BehindBoardOption, space: ISpaceParse, grooveOption?: IGrooveOption): Promise<Board[]>;
export declare function ExtendsBoardThickness(temp: TemplateRecord, thickness: number): void;
export declare function ExtendsbrThick2(temp: TemplateWineRackRecord): void;
export declare function AppendTemplateParam(template: TemplateRecord, name: string, value: number, expr: string, description: string): void;
export declare function CreateTemplateParam(template: TemplateRecord, size: Vector3, opt: LayerBoardOption | BehindBoardOption | VerticalBoardOption, grooveOption?: IGrooveOption): void;
//# sourceMappingURL=BuildBoardTool.d.ts.map