import { Component } from 'react';
import { DimStyleRecord } from '../../DatabaseServices/DimStyle/DimStyleRecord';
import { DimStyleStore } from './DimStyleStore';
import { OperDimStyleType } from './OperDimStyle';
export declare const DEFAULT_STYLE_NAME = "\u9ED8\u8BA4";
export declare class DimStylePanel extends Component<{
    store: DimStyleStore;
    currentStyleName: string;
}> {
    _CurrentStyleName: string;
    constructor(props: any);
    render(): JSX.Element;
    _Cancel: () => void;
    _OnOK: () => Promise<void>;
    /**
     * 操作Database里的标注样式(添加/修改)
     * @param {OperDimStyleType} operType
     * @param {string} [currentStyleName]
     * @memberof DimStylePanel
     */
    _Oper: (operType: OperDimStyleType, currentStyleName?: string) => void;
    /**
     * 删除Database里的标注样式
     * @memberof DimStylePanel
     */
    _Delete: () => Promise<void>;
    /**
     * @param {string} name 目标名称 app.Database.DimStyleTable.Symbols.get(name)
     * @param {DimStyleStore} store  赋值对象 store.m_Option
     * @memberof DimStylePanel
     */
    _GetDimStyle: (name: string, store: DimStyleStore) => Promise<void>;
    _SetDimStyleId(dimStyle: DimStyleRecord): void;
}
//# sourceMappingURL=DimStylePanel.d.ts.map