import { Vec2 } from "three";
import { BaseModel } from "./CadBlockInfo";
export declare class CADDbBoard extends BaseModel {
    L: number;
    W: number;
    H: number;
    CabName: string;
    BoardName: string;
    BasePoint: CadBlockBasePosition;
    XVec: CadBlockBasePosition;
    YVec: CadBlockBasePosition;
    ZVec: CadBlockBasePosition;
    Grain: number;
    Pts: Vec2[];
    Buls: number[];
    SubBoardLocal: CADDbBoard[];
    SubBoardAssoc: CADDbBoard[];
    Drillings: CadBlockDrillings[];
    ToArray(): (string | number | any[])[];
}
export declare class CadBlockBasePosition {
    x: number;
    y: number;
    z: number;
}
export declare class CadBlockDrillings extends BaseModel {
    x: number;
    y: number;
    r: number;
    h: number;
    f: number;
    protected get props(): string[];
}
//# sourceMappingURL=CadModel.d.ts.map