export declare namespace JiaJu {
    export interface Bom {
        Rooms: Rooms[];
        Orders: Order[];
        Products: [Products];
        Other: [];
    }
    type Rot = string;
    export interface Rooms {
        Room: Room[];
    }
    export interface Room {
        ID: string;
        Name: string;
        Path: Path[];
    }
    export interface Order {
    }
    export interface Products {
        Product: ModelProduct[];
    }
    export enum CategoryName {
        Empty = "",
        衣柜 = "\u8863\u67DC"
    }
    export interface ProductBase {
        CategoryName: CategoryName;
        ChannelID: string;
        PID: string;
        OrderID: string;
        TypeID: "BanJian" | "XianTiao" | "ABKU" | "GuiTi";
        ObjType: "CabinetDoor" | "Cabinet" | "Group" | "Union" | "Board" | "Decoration" | "TopLine" | "SweepLine";
        TypeLabel: string;
        Name: string;
        Coordinate: string;
        Coordinate_Parent: string;
        Pos: string;
        Pos_Parent: string;
        Rot: Rot;
        Rot_Parent: Rot;
    }
    export interface ModelProduct extends ProductBase {
        RoomID: string;
        ParamTable: ModelParamTable[];
        Products: [ModelProducts];
    }
    export interface ModelParamTable {
        CODE: string;
        D: string;
        DATE: Date;
        EXTEND_BACK: string;
        EXTEND_DOWN: string;
        EXTEND_FRONT: string;
        EXTEND_LEFT: string;
        EXTEND_RIGHT: string;
        EXTEND_UP: string;
        FRAME_ID: string;
        H: string;
        HIDE_FLAG: string;
        ID: string;
        IS_QUOTED: string;
        MTL: string;
        MTL_BASE: string;
        MTL_BYOWNER: string;
        MTL_DIR: string;
        MTL_NAME: string;
        MTL_SALENAME: string;
        NAME: string;
        OPEN_STATUS: string;
        PRO_NOTES: string;
        QUOTE_CODE: string;
        RD: string;
        RH: string;
        RW: string;
        SALES_MARKET: string;
        SERIESID: string;
        SPRAY_MATRIAL: string;
        STD: string;
        W: string;
        YG_AZBZ: string;
        YG_SJBZ: string;
        YG_TJZJ_H: string;
        YG_TJZJ_H1: string;
    }
    export interface ModelProducts {
        Product: EntityProduct[];
    }
    export interface EntityProduct extends ProductBase {
        BoardMode?: "SIDEBOARD" | "FORWARDBOARD" | "HORIZONTALBOARD";
        ParamTable: EntityParamTable[];
        OutLines?: OutLine[];
    }
    export interface ABKUProduct extends ProductBase {
        ParamTable: EntityParamTable[];
    }
    export interface OutLine {
        Path: Path[];
        ModelPath: Path[];
        Hole?: Hole[];
    }
    export interface Hole {
        Path: Path[];
    }
    export interface Path {
        GeCurve: GeCurve[];
    }
    export interface GeCurve {
        End: string;
        EndX: string;
        EndY: string;
        EndZ: string;
        GeCurveType: GeCurveType;
        Start: string;
        StartX: string;
        StartY: string;
        StartZ: string;
        ArcCenX: string;
        ArcCenY: string;
        ArcCenZ: string;
        MidX: string;
        MidY: string;
        MidZ: string;
        ArcCen: string;
    }
    export enum GeCurveType {
        Seg = "Seg",
        Arc = "Arc"
    }
    export interface EntityParamTable {
        CODE: string;
        D: string;
        EXTEND_BACK: string;
        EXTEND_DOWN: string;
        EXTEND_FRONT: string;
        EXTEND_LEFT: string;
        EXTEND_RIGHT: string;
        EXTEND_UP: string;
        FRAME_ID?: string;
        H: string;
        HANDLE_ANG?: string;
        HANDLE_HEIGHT?: string;
        HANDLE_HOLECOUNT?: string;
        HANDLE_PITCHROW?: string;
        HANDLE_TYPE?: string;
        HANDLE_YVALUE?: string;
        HIDE_FLAG: string;
        ID: string;
        IS_QUOTED: string;
        MTL: string;
        MTL_BYOWNER: string;
        MTL_DIR: string;
        NAME: string;
        OPEN_STATUS: string;
        OPEN_TYPE: string;
        PRO_NOTES: string;
        QUOTE_CODE: string;
        RD: string;
        RH: string;
        RW: string;
        STD: string;
        W: string;
        ABNORMAL?: string;
        DISP_BORDER?: string;
        EDGE?: string;
        LINK_DOWN?: string;
        LINK_LEFT?: string;
        LINK_RIGHT?: string;
        LINK_UP?: string;
        MTL_BASE?: string;
        MTL_NAME?: string;
        MTL_SALENAME?: string;
        MTL_SIDE?: string;
        SALES_MARKET?: string;
        YG_AZBZ?: string;
        YG_SJBZ?: string;
        AZBZ?: string;
        SJBZ?: string;
        TrepanningDirection?: string;
        FB1?: string;
        FB2?: string;
        FB3?: string;
        FB4?: string;
        SlotValue_Up?: string;
        SlotValue_Down?: string;
        SlotValue_Left?: string;
        SlotValue_Right?: string;
        CavityLink1?: string;
        CavityLink2?: string;
        CavityLink3?: string;
        CavityLink4?: string;
        GroovesAddLength?: string;
        GroovesAddWidth?: string;
        GroovesAddDepth?: string;
        KnifeRadius?: string;
        BoardType?: number;
    }
    export {};
}
//# sourceMappingURL=JiaJuInterface.d.ts.map