import { Vector2 } from "three";
import { BoardOpenDir } from "../../../DatabaseServices/Entity/BoardInterface";
import { Polyline } from "../../../DatabaseServices/Entity/Polyline";
import { HardwareTopline } from "../../../DatabaseServices/Hardware/HardwareTopline";
import { KJL_AssemblyModel, KJL_DesignData, KJL_DrillData, KJL_ParamModel, KJL_Parameter, KJL_Path } from "./KJLInterface";
import { KJLMaterialLoader } from "./KJLMaterialLoader";
export declare function ParseRoomNameMap(d: KJL_DesignData): Map<string, string>;
export declare function ParseCabNameMap(data: KJL_AssemblyModel[]): Map<string, string>;
export declare function ParseTopline(model: KJL_ParamModel, mtlLoader: KJLMaterialLoader, roomName: string, gName: string): Promise<HardwareTopline[]>;
export declare function ParseBT(params: KJL_Parameter[]): number;
export declare function ParseKMFX(params: KJL_Parameter[]): BoardOpenDir;
export declare function ParseBCBZ(params: KJL_Parameter[], remarks: [string, string][]): string;
/**
 * 分析Path的外轮廓和内网洞
 * @param path
 */
export declare function ParsePathOutlineAndHole(path: KJL_Path, edgeBandingAll?: number[], drillData?: KJL_DrillData): [Polyline[], number[][]];
/**
 * 半径转凸度
 * @param pts
 * @param radiuss
 * @returns buls
 */
export declare function Radius2Buls(pts: Vector2[], radiuss: number[]): number[];
//# sourceMappingURL=KJLParse.d.ts.map