import { Singleton } from "../../Common/Singleton";
import { Board } from "../../DatabaseServices/Entity/Board";
import { CameraType } from "../../GraphicsSystem/CameraUpdate";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { IConfigOption } from "../../UI/Components/Board/UserConfigComponent";
import { IConfigStore } from '../../UI/Store/BoardStore';
import { ShareBoardInfConfigurationOption } from "../../UI/Store/OptionInterface/IOptionInterface";
interface IFileInfo {
    view_id: string;
    shop_id: string;
    user_id: string;
    name: string;
    size: string;
    props: IProps;
    hots: string;
    state: string;
    favorite: string;
    comments: null | string;
    create_date: string;
    update_date: string;
    exp_date: null | string;
    file_id: string;
    logo: string;
    file: string;
    shop_name: string;
    shop_logo: string;
    uese: string;
}
interface IProps {
    showBom?: boolean;
    Physical2EdgeColor?: number;
    VisualStyle?: RenderType;
    boardCustomNumberTextHeight?: number;
}
interface IOperations {
    showDoor: boolean;
    showDrawer: boolean;
    showExplosion: boolean;
    showCustomNumber: boolean;
    showDimension: boolean;
    isDoorOpen: boolean;
    showCylinderHole: boolean;
}
/**
 * 漫游功能开关,二进制
 */
export declare enum RoamingSwitches {
    Default = 0,
    /**
     * 摆件显示
     */
    Decoration = 1,
    EnvMap = 4
}
export declare class ShareViewStore extends Singleton implements IConfigStore {
    CurSelectCabinetIndexs: number[];
    RoomName: string;
    SelectedBoard: Board;
    showLight: boolean;
    /** 相机类型 */
    CameraType: CameraType;
    Theme: 'light' | 'dark' | string;
    ThemeLog: 'light' | 'dark' | string;
    /**
     * 锁定当前模式
     */
    ViewModeLock: boolean;
    /** 是否处于户型漫游模式 */
    HouseRoamingMode: boolean;
    /**
     * 漫游功能开关
     */
    HouseRoamingSwitches: RoamingSwitches;
    /**
     * 漫游模式渲染模式
     */
    HouseRoamingRenderType: RenderType;
    /** 用户调整的横屏视野 */
    userFovLandscape: number;
    /** 用户调整的竖屏视野 */
    userFovPortrait: number;
    FileName: string;
    FileInfo?: IFileInfo;
    Props: IProps;
    m_Option: ShareBoardInfConfigurationOption;
    viewUploadProps: ShareBoardInfConfigurationOption;
    configName: string;
    createDims: Object[];
    HasInvailValue(): "" | "有效天数必须是大于0的整数";
    SaveConfig(): IConfigOption<import("../../UI/Store/OptionInterface/IOptionInterface").AnyObject>;
    configsNames: string[];
    InitOption(): void;
    UpdateOption(cof: IConfigOption<ShareBoardInfConfigurationOption>): void;
    /** 隐蔽组件按钮操作 */
    operations: IOperations;
}
export {};
//# sourceMappingURL=ShareViewStore.d.ts.map