import { BufferGeometry, Matrix4, Object3D } from "three";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { Curve } from "../Entity/Curve";
import { Entity } from "../Entity/Entity";
/**
 * 封边视图下和修改封边时显示的实体
 */
export declare class SealSolid extends Entity {
    protected OnlyRenderType: boolean;
    protected _PathCurve: Curve;
    private _SealWidth;
    constructor(pathCurve: Curve, sealWidth: number);
    private _MeshGeometry;
    get MeshGeometry(): BufferGeometry;
    private _EdgeGeometry;
    get EdgeGeometry(): BufferGeometry;
    InitDrawObject(renderType: RenderType): Object3D;
    UpdateDrawGeometry(): void;
    ClearDraw(): this;
    UpdateDrawObject(renderType: RenderType, obj: Object3D): Object3D;
    /**
     * 当实体需要被更新时,更新实体材质
     */
    UpdateDrawObjectMaterial(renderType: RenderType, obj: Object3D): Object3D;
    ApplyMatrix(m: Matrix4): this;
}
//# sourceMappingURL=SealSolid.d.ts.map