import { CADFiler } from "../CADFiler";
import { SymbolTableRecord } from "../SymbolTableRecord";
export declare enum DimTextPosDir {
    Top = 1,//上
    Out = 2
}
/**
 * 标注样式
 */
export declare class DimStyleRecord extends SymbolTableRecord {
    /** 如果设置为 1，延长线(脚线)具有固定长度 DIMFXLON 290 */
    DIMFXLON: boolean;
    /** DIMFXL 49 尺寸线下方的延长线长度如果固定（DIMFXLON 为 1），DIMEXE 定义尺寸线上方的长度 */
    DIMFXL: number;
    /** 控制尺寸中换算单位的显示 DIMALT 170 */
    DIMALT: boolean;
    /** 控制换算单位的小数位数。如果打开 DIMALT，DIMALTD 会设置交替测量中小数点右侧显示的位数。 DIMALTD 171 */
    DIMALTD: number;
    DIMADEC: number;
    /** DIMASZ	41  控制尺寸线和引线箭头的大小。还控制钩线的大小。箭头大小的倍数决定尺寸线和文本是否应适合尺寸界线。如果由 DIMBLK 设置，DIMASZ 也用于缩放箭头块。当 DIMTSZ 不为零时，DIMASZ 无效。 */
    DIMASZ: number;
    /**147 尺寸线距离文字的距离(从尺寸线偏移) */
    DIMGAP: number;
    /**42 指定尺寸界线与原点的偏移距离。对于固定长度的延长线，此值确定最小偏移量。 */
    DIMEXO: number;
    /**43 */
    DIMDLI: number;
    /**44 肩膀上面的延伸线长度 */
    DIMEXE: number;
    /** 140 文字高度 */
    DIMTXT: number;
    /**77 控制文本相对于尺寸线的垂直位置。 */
    DIMTAD: DimTextPosDir;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=DimStyleRecord.d.ts.map