import { Material, Object3D, Vector3 } from "three";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { CADFiler } from "../CADFiler";
import { Arc } from "../Entity/Arc";
import { Dimension } from "./Dimension";
export declare class ArcDimension extends Dimension {
    private _Center;
    private _StartAngle;
    private _EndAngle;
    private _Clockwise;
    private _Radius;
    private _TextRadiusAdd;
    protected _TextString: string;
    private _Arc;
    constructor(_Center?: Vector3, _StartAngle?: number, _EndAngle?: number, _Clockwise?: boolean, _Radius?: number, _TextRadiusAdd?: number, _TextString?: string);
    get Text(): import("../Text/Text").Text;
    get Arc(): Arc;
    set TextRadiusAdd(ra: number);
    get TextRadiusAdd(): number;
    protected GetPrimitiveString(): string;
    GetGripPoints(): Vector3[];
    MoveGripPoints(indexList: number[], vec: Vector3): void;
    GetStretchPoints(): Vector3[];
    MoveStretchPoints(indexList: number[], vec: Vector3): void;
    private UpdateArcFromThisArc;
    InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(renderType: RenderType, obj: Object3D): void;
    ParseText(): void;
    UpdateDrawObjectMaterial(type: RenderType, obj: Object3D, material?: Material): void;
    PraseArc(): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=ArcDimension.d.ts.map