import { Color } from "three";
import { PhysicalMaterialRecord } from "./PhysicalMaterialRecord";
declare const DefaultParam: Readonly<{
    color: "#ffffff";
    baseColorluminance: 0;
    baseColorLightColor: Color;
    baseColorDarkColor: Color;
    baseColorSaturability: 1;
    transparent: false;
    opacity: 1;
    opacityContrast: 1;
    opacityBorder: 1;
    opacityMaximum: 1;
    opacityMinimum: 0.3;
    matalness: 0;
    bumpScale: 0.1;
    roughness: 0.2;
    specular: 1;
    selfLuminous: 0;
    fresnelPO: 1;
    fresnelST: 1;
    fresnelLuminance: 1;
    fresnelLightColor: Color;
    fresnelDarkColor: Color;
    UVType: 0;
    sharpen: 1;
}>;
type MaterialParam = typeof DefaultParam;
export declare const DefaultParamMap: Readonly<{
    木纹: MaterialParam;
    乳胶漆: MaterialParam;
    烤漆: MaterialParam;
    金属: MaterialParam;
    亚光金属: MaterialParam;
    自发光: MaterialParam;
    大理石: MaterialParam;
    混凝土: MaterialParam;
    粗糙石材: MaterialParam;
    玻璃: MaterialParam;
    皮革: MaterialParam;
    布料: MaterialParam;
    竹藤编织: MaterialParam;
}>;
export type MaterialType = keyof (typeof DefaultParamMap);
export declare function SetMaterialParams(mtl: PhysicalMaterialRecord, param: MaterialParam): void;
export {};
//# sourceMappingURL=IMaterialDefaultParam.d.ts.map