import { Matrix4, Object3D, Vector3 } from "three";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { CADFiler } from "../CADFiler";
import { Light } from "./Light";
/**
 * 平行光源
 */
export declare class DirectionalLight extends Light {
    protected _Intensity: number;
    LightSourceAngle: number;
    LightSourceSoftAngle: number;
    OnlyRenderType: boolean;
    private _Target;
    protected _ShowHelper: boolean;
    protected _OpenLight: boolean;
    constructor();
    Erase(isErase?: boolean): void;
    /**
     * @param theta 身体旋转 角度(deg)
     * @param phi   头部旋转 角度(deg)
     */
    SetRotate(thetaDeg: number, phiDeg: number): void;
    get Target(): Vector3;
    set Target(p: Vector3);
    get SunPosition(): Vector3;
    set SunPosition(p: Vector3);
    get Position(): Vector3;
    set Position(p: Vector3);
    get WebIntensity(): number;
    ApplyMatrix(m: Matrix4): this;
    GetGripPoints(): Array<Vector3>;
    MoveGripPoints(indexList: number[], vec: Vector3): void;
    protected InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, en: Object3D): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=DirectionalLight.d.ts.map