import { Box3, Color, Light as TLight, Vector3 } from 'three';
import { ObjectSnapMode } from '../../Editor/ObjectSnapMode';
import { Box3Ext } from '../../Geometry/Box';
import { RenderType } from '../../GraphicsSystem/RenderType';
import { CADFiler } from '../CADFiler';
import { Entity } from '../Entity/Entity';
/**
 * 灯光实体基类
 */
export declare class Light extends Entity {
    static DefaultOpenLight: boolean;
    static DefaultCaseShadow: boolean;
    static DefaultShowHelpr: boolean;
    OnlyRenderType: boolean;
    protected _Intensity: number;
    protected _LightColor: Color;
    Temperature: number;
    IndirectLightingIntensity: number;
    SpecularScale: number;
    protected _ShowHelper: boolean;
    protected _CaseShadow: boolean;
    protected _OpenLight: boolean;
    Clone(): any;
    get CaseShadow(): boolean;
    set CaseShadow(v: boolean);
    get OpenLight(): boolean;
    set OpenLight(v: boolean);
    get Position(): Vector3;
    set Position(v: Vector3);
    get IsVisible(): boolean;
    get Color(): Color;
    set Color(color: Color);
    get ShowHelper(): boolean;
    set ShowHelper(v: boolean);
    get BoundingBoxInOCS(): Box3Ext;
    get BoundingBox(): Box3;
    GetObjectSnapPoints(snapMode: ObjectSnapMode, pickPoint: Vector3, lastPoint: Vector3): Vector3[];
    GetGripPoints(): Array<Vector3>;
    MoveGripPoints(indexList: number[], vec: Vector3): void;
    UpdateDrawObject(type: RenderType, en: TLight): void;
    get Intensity(): number;
    set Intensity(v: number);
    get WebIntensity(): number;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=Light.d.ts.map