import { CADFiler } from "../CADFiler";
import { ObjectId } from "../ObjectId";
import { PhysicalMaterialRecord } from "../PhysicalMaterialRecord";
import { SymbolTable } from "./SymbolTable";
export declare class MaterialTable extends SymbolTable {
    protected _CurFloorMtl: ObjectId<PhysicalMaterialRecord>;
    protected _CurWallMtl: ObjectId<PhysicalMaterialRecord>;
    protected _CurDrawMtl: ObjectId<PhysicalMaterialRecord>;
    protected _CurBulkCeilingFaceMaterial: ObjectId<PhysicalMaterialRecord>;
    get CurFloorMtl(): ObjectId<PhysicalMaterialRecord>;
    get CurWallMtl(): ObjectId<PhysicalMaterialRecord>;
    get CurBoardMtl(): ObjectId<PhysicalMaterialRecord>;
    get CurBulkCeilingFaceMaterial(): ObjectId<PhysicalMaterialRecord>;
    set CurFloorMtl(id: ObjectId<PhysicalMaterialRecord>);
    set CurWallMtl(id: ObjectId<PhysicalMaterialRecord>);
    set CurBoardMtl(id: ObjectId<PhysicalMaterialRecord>);
    set CurBulkCeilingFaceMaterial(id: ObjectId<PhysicalMaterialRecord>);
    get Materials(): Map<string, PhysicalMaterialRecord>;
    Remove(record: PhysicalMaterialRecord): void;
    GetAt(name: string): PhysicalMaterialRecord | undefined;
    Has(name: string): boolean;
    AllocateName(name?: string): string;
    Destroy(): void;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=MaterialTable.d.ts.map