import { Status } from "../../Common/Status";
import { CADFiler } from "../CADFiler";
import { CADObject } from "../CADObject";
import { SymbolTableRecord } from "../SymbolTableRecord";
export declare class SymbolTable extends CADObject {
    /**
     * 符号列表,支持迭代,请勿直接修改数据
     */
    Symbols: Map<string, SymbolTableRecord>;
    Add(record: SymbolTableRecord, isCheckObjectCleanly?: boolean): Status;
    Remove(record: SymbolTableRecord): void;
    Destroy(): void;
    GetAt(name: string): SymbolTableRecord | undefined;
    Has(name: string): boolean;
    AllocateName(name: string): string;
    ChangeRecordName(record: SymbolTableRecord, newName: string): boolean;
    protected _FileVer: number;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
    ApplyPartialUndo(undoData: CADObject): void;
}
//# sourceMappingURL=SymbolTable.d.ts.map