import { Matrix4, Vector3 } from "three";
import { CADFiler } from "../../CADFiler";
import { ISerialize } from "../../ISerialize";
import { ObjectId } from "../../ObjectId";
import { TemplateRecord } from "../TemplateRecord";
export interface PositioningParam {
    objects?: ObjectId[];
    index?: number;
    count?: number;
}
/**
 * 模版定位信息(基类)
 */
export declare abstract class Positioning implements ISerialize {
    SpaceCS: Matrix4;
    SpaceSize: Vector3;
    /**
     * 定位 (更新 SpaceCS SpaceBox SpaceSize)
     */
    Positioning(param?: PositioningParam): Promise<void>;
    parent: TemplateRecord;
    WriteAllObjectRecord(): void;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=Positioning.d.ts.map