import { KeyWord } from '../Common/InputState';
import { Editor, EditorService } from './Editor';
import { GetKeyWordPrommpt, MousePos } from "./PromptOptions";
import { PromptResult } from './PromptResult';
/**
 * 指定用户拾取关键字的服务.
 *
 * 类里面包括了mobx的监听字段,使得界面可以得到store里面的数据
 *
 * 该功能包括了如下特性:
 * 1.命令栏点击关键字响应关键字.
 * 2.命令栏输入关键字响应.
 * 3.界面点击关键字时响应.
 * 4.界面点击鼠标时,刷新下拉选项列表菜单位置
 * 5.用户可以通过空格和上下按键来切换和确定选择,用esc来取消输入.
 */
export declare class GetKeyWordsServices implements EditorService {
    private ed;
    IsReady: boolean;
    private m_PromisResolve;
    protected removeCalls: Function[];
    prompt: string;
    keywordList: KeyWord[];
    selectIndex: number;
    childSelectIndex: number;
    m_ShowChildrenIndex: number;
    mousePositionX: number;
    mousePositionY: number;
    useCurrentMousePos: boolean;
    currentMousePos: MousePos;
    private container;
    constructor(ed: Editor);
    Doit(e: MouseEvent): Promise<boolean>;
    curMenuSize: number[];
    UpdateMenuPosition(isClick?: boolean): void;
    Start(prompt: GetKeyWordPrommpt): Promise<PromptResult>;
    private InitHandleInput;
    InitHandleKeyDown(): void;
    Cancel(): void;
    _Return(result: PromptResult): void;
}
//# sourceMappingURL=GetKeyWordService.d.ts.map