import { Entity } from "../DatabaseServices/Entity/Entity";
import { Jig } from "./Jig";
/**
 * 动态拽拖的静态类,控制动态拽拖的状态.
 */
export declare class JigUtils {
    static GetJig(): Jig;
    static End(): void;
    static get Jig(): Jig;
    /**
     * 还原源对象的材质
     */
    static RestoreOriginEntity(): void;
    /**
     * 将在视图中绘制该对象.
     * 如果该对象已经存在图纸:那么将被拷贝,并且暂时暗显示,并且缓存原始数据,以便还原.
     * @param {Entity} enOrg 源实体
     */
    static Draw<T extends Entity>(enOrg: T, fast?: boolean): T;
    /**
     * 还原拽拖的实体到初始化状态.
     */
    static Restore(): void;
    /**
     * 销毁临时对象,如果临时对象被加入到图纸,那么将不会被销毁.
     */
    static Destroy(): void;
}
//# sourceMappingURL=JigUtils.d.ts.map