import { Matrix4 } from "three";
import { BlockTableRecord } from "../DatabaseServices/BlockTableRecord";
import { Entity } from "../DatabaseServices/Entity/Entity";
export declare const VP_TOATER_KEY = "vp";
export declare class LayoutTool {
    constructor();
    CacheCamera(): void;
    SwitchLayout(): void;
    bakUCS: Matrix4;
    Reset(): void;
    get CurrentSpace(): BlockTableRecord;
    AppendDatabaseSpace(en: Entity, changeColor?: boolean): void;
    /**
     * 在视口中显示实体列表
     * @param entitys 实体列表(被修改的 或者是创建的)
     * @param [isNewEntitys=false] 新建的实体(刚绘制的)
     */
    ShowViewportEntitys(entitys: Entity[], isNewEntitys?: boolean): void;
    HideViewportEntitys(selects: Iterable<Entity>): void;
    /**
     * 响应实体的变更,当实体变更时,响应在布局空间的绘制(刷新绘制)
     * @param ens 变更的实体列表
     */
    ChangeViewportEntitys(ens: Iterable<Entity>): void;
}
//# sourceMappingURL=LayoutTool.d.ts.map