import { Matrix4 } from "three";
import { Board } from "../../DatabaseServices/Entity/Board";
import { Curve } from "../../DatabaseServices/Entity/Curve";
import { IHighSealedItem } from "../../UI/Store/OptionInterface/IHighSealedItem";
import { Face } from "./Face";
export declare enum BoardFaceType {
    Side = 0,
    NoSide = 1
}
export declare class BoardGetFace {
    Board: Board;
    Faces: Face[];
    constructor(Board: Board);
    ParseFaces(): void;
    GetTopAndBottomFace(isEdgeFace?: boolean): void;
    GetSideFaces(): void;
    GetArcBoardFaces(faceSealingDataMap?: Map<Face, number>, highSealingData?: IHighSealedItem[], sealCu?: Curve[]): void;
    IntersectFace(br: BoardGetFace, bInsEqual?: boolean): Face[];
    static GetAllSidesFaces(br: Board, isMergeFace?: boolean): Face[];
}
export declare function MatrixIsCoplane2(matrixFrom: Matrix4, matrixTo: Matrix4, zFuzz: number): boolean;
export declare function GetSideFaceMtx(cu: Curve, inverseZ?: boolean): Matrix4;
export declare class ParseBoardSideFace extends BoardGetFace {
    Board: Board;
    constructor(Board: Board);
    ParseFaces(): void;
    GetSideFaces(): void;
}
//# sourceMappingURL=BoardGetFace.d.ts.map