import { Board } from "../../DatabaseServices/Entity/Board";
import { Entity } from "../../DatabaseServices/Entity/Entity";
import { PromptPointResult } from "../../Editor/PromptResult";
import { ISpaceParse } from "./ISpaceParse";
import { PointSelectBoards } from "./PointSelectBoards";
export declare enum EnableSelectType {
    Stretch = 1,
    Two = 2,
    Three = 4,
    AutoCutting = 5,
    All = 7
}
export declare class PointSelectSpace {
    SpaceParse: ISpaceParse;
    GetPointRes: PromptPointResult;
    Enable: EnableSelectType;
    UseUCSSpace: boolean;
    AutoCutting: boolean;
    Select(callback?: Function): any;
    get ParseOK(): boolean;
    /**
     * Virtual
     * @param brs
     */
    protected ParseBySelect(brs: Board[]): Promise<void>;
    /**
     * Virtual
     * @param ptSelect
     */
    protected ParseByPointSelect(ptSelect: PointSelectBoards, isDynamic?: boolean): Promise<void>;
    protected ParseBy2Point(): Promise<void>;
    protected ParseBy3Point(): Promise<void>;
    private PointParseSpace;
    private PointParseVisualSpace;
    private ShowSpaceBox;
    private TryRotateSpaceToUCS;
}
export declare function FilterVisualSpaceBox(e: Entity): boolean;
export declare function TryRotateSpaceToUCS(spaceParse: ISpaceParse): void;
//# sourceMappingURL=PointSelectSpace.d.ts.map