export declare enum StoreName {
    Texture = "Texture",
    /**
     * 文件的数据
     */
    Dwg = "Dwg",
    /**
     * 文件的FileInfo
     */
    Data = "Data",
    /**
    * 文件的个数
    */
    FileId = "fileId",
    /**
     *  当前配置版本号
     */
    ConfigVersion = "configVersion",
    ConfigData = "configData",
    FontData = "Text",
    Command = "Customize",
    FileCache = "fileCache",
    FBX = "FBX"
}
export declare class IndexedDbStore {
    private dbRequest;
    private db;
    /**
     * Creates an instance of IndexedDbStore.
     * @param {string} dbName
     * @memberof IndexedDbStore
     */
    private constructor();
    private static cadStore;
    static CADStore(): Promise<IndexedDbStore>;
    get IsOk(): boolean;
    opening: boolean;
    resFunctionList: Function[];
    Open(): Promise<boolean>;
    InitStore(): ((db: IDBDatabase) => void)[];
    Put(storeName: StoreName, key: string, value: any): IDBRequest<IDBValidKey>;
    Get(storeName: StoreName, key: string): Promise<any>;
    Has(storeName: StoreName, key: string): Promise<unknown>;
    Delete(storeName: StoreName, key: string): void;
    Clear(storeName: StoreName): void;
    GetDataList(storeName: StoreName): Promise<unknown>;
}
//# sourceMappingURL=IndexedDbStore.d.ts.map