import * as React from 'react';
import { EBoardKeyList } from "../../../Common/BoardKeyList";
import { Board } from "../../../DatabaseServices/Entity/Board";
import { LinesType } from "../../../DatabaseServices/Entity/BoardInterface";
import { ObjectId } from "../../../DatabaseServices/ObjectId";
import { ProcessingGroupRecord } from "../../../DatabaseServices/ProcessingGroup/ProcessingGroupRecord";
import { BoardProcessOption } from "../../Store/OptionInterface/BoardProcessOption";
export interface IBoardInfoListProps {
    className: string;
    index: number;
    dataBr: Board;
    realBr: Board;
    UpdateSeletctedBr: Function;
    ModifyDataRecord: (index: number, brData: Board, modifyKey: string, value: string | LinesType | ProcessingGroupRecord[]) => void;
    processGroupData: Map<string, ObjectId[]>;
    style: React.CSSProperties;
    isSelect: boolean;
    selectedBrOnList: Board[];
}
type GetBBSBoardInfoType<T> = {
    [P in (keyof T)]?: P extends EBoardKeyList.ProcessGroup ? ProcessingGroupRecord[] : T[P];
};
export interface IBoardInfoOptions extends GetBBSBoardInfoType<BoardProcessOption> {
    Height?: string;
    Width?: string;
    Thickness?: string;
    Name?: string;
    upDrill?: string;
    downDrill?: string;
    leftDrill?: string;
    rightDrill?: string;
}
/**
 * 批量查看板件属性 列表
 */
export declare class BoardInfoList extends React.Component<IBoardInfoListProps, {}> {
    trRef: HTMLDivElement;
    isSelected: boolean;
    private removeFuncs;
    private option;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: IBoardInfoListProps): void;
    getDrillOptins(dataBr: Board, isBase?: boolean): string[];
    private isInvailKey;
    render(): JSX.Element;
    InitState: (board: Board) => void;
    HandleOnClick: (findSameTypeBrDataKey?: string) => void;
    HandleOnKeyDown: (e: any) => void;
    GetBgColor: () => string;
    ToggleBgColor: () => void;
    HandleNameBlur: (index: number, dataBr: Board, key: string, value: string) => void;
}
export {};
//# sourceMappingURL=BoardInfosList.d.ts.map