import { Component } from 'react';
import { Mesh } from 'three';
import { Solid3D } from '../../../Common/InterfereUtil';
import { SweepSolid } from '../../../DatabaseServices/3DSolid/SweepSolid';
import { ExtrudeSolid } from '../../../DatabaseServices/Entity/Extrude';
import { HardwareCompositeEntity } from '../../../DatabaseServices/Hardware/HardwareCompositeEntity';
interface IInterfereProps {
    count: number;
    data: [Mesh, [Solid3D, Solid3D]][];
    selectEnts: (ExtrudeSolid | SweepSolid | HardwareCompositeEntity)[];
}
export declare class InterfereModal extends Component<IInterfereProps, {}> {
    currentIndex: number;
    isFirstExecution: boolean;
    previousDataSort: [Mesh, [Solid3D, Solid3D]][];
    isAnimation: boolean;
    cellStyle: {
        display: string;
        justifyContent: string;
        alignItems: string;
        padding: string;
    };
    headerStyle: {
        fontWeight: string;
        borderBottom: string;
        display: string;
        justifyContent: string;
        alignItems: string;
        padding: string;
    };
    render(): JSX.Element;
    private close;
    private restore;
    private next;
    private previos;
    private update;
    private handleAnimate;
    private handleScroll;
}
export {};
//# sourceMappingURL=InterfereModal.d.ts.map