import { EBoardKeyList } from "../../../Common/BoardKeyList";
import { IBaseOption } from "../../Store/OptionInterface/IOptionInterface";
export interface IHardwareOption extends IBaseOption {
    name: string;
    unit: string;
    [EBoardKeyList.RoomName]: string;
    [EBoardKeyList.CabinetName]: string;
    costExpr: string;
    actualExpr: string;
    model: string;
    factory: string;
    brand: string;
    spec: string;
    comments: string;
    isHole: boolean;
    goodsId?: string;
    goodsSn?: string;
}
export interface ICylMetalsOption extends IHardwareOption {
    rad: number;
    height: number;
    count: string;
}
export interface IExtMetalsOption extends IHardwareOption {
    thickness: number;
    knifeRad: number;
    addLen: number;
    isHole: boolean;
    count: string;
}
export declare enum EMetalsType {
    Metals = "\u4E94\u91D1",
    Comp = "\u7EC4\u4EF6"
}
export interface ICompHardwareOption extends IHardwareOption {
    type: EMetalsType;
    isSplite: boolean;
    isSplitePrice: boolean;
    color: string;
    [EBoardKeyList.Mat]: string;
    count: string;
    goodsId: string;
    goodsSn: string;
}
export interface IToplineOption extends IHardwareOption {
    addLen: string;
}
//# sourceMappingURL=RightPanelInterface.d.ts.map