import React from "react";
import "./Select.css";
export interface ISelectOption {
    /** 选项的显示(可以是字符串或JSX) */
    label: string | JSX.Element;
    /** key值，可选-(不填表示，只做显示，不做选择) */
    value?: TSelectValue;
    /** 用于重载选项的点击事件 */
    onClick?: (currentItem?: ISelectOption, HandleChange?: (currentItem?: ISelectOption) => void) => void;
    /** 用于传递的数据(可随意挂载) */
    data?: Record<string, any>;
}
export type TSelectValue = string | number;
/** 下拉选择器 */
export declare class SelectInLayer extends React.Component<{
    value: TSelectValue;
    options: ISelectOption[];
    style?: React.CSSProperties;
    isColorByValue?: boolean;
    onChange?: (currentItem?: ISelectOption) => void;
}> {
    constructor(props: any);
    private _IsShow;
    render(): JSX.Element;
}
//# sourceMappingURL=Select.d.ts.map