import * as React from 'react';
import { Singleton } from "../../../../Common/Singleton";
import { ISelectOption, TSelectValue } from "./Component/Select";
import "./LayerPanel.css";
import type { ILayerNode } from "./State/Type";
interface IFeatureMatchOption {
    colorIndex?: number;
    name: string;
    value?: number;
    onClick?: (currentItem?: ISelectOption, HandleChange?: (currentItem?: ISelectOption) => void) => void;
}
export declare class LayerTopStore extends Singleton {
    /** 当前图层key */
    currentLayerValue: string;
    /** 颜色key */
    colorValue: TSelectValue;
    /** 默认颜色key */
    normalColorValue: TSelectValue;
    /** 是否使用默认颜色 */
    isUseNormal: boolean;
    /** 特性匹配里的颜色选项 */
    featureMatchOptions: IFeatureMatchOption[];
    /** 点击更多颜色 */
    OpenMoreColor(currentItem: ISelectOption, HandleChange: Function): void;
    setColorValue(value: TSelectValue): void;
    setIsUseNormal(value: boolean): void;
    setColorIndex(colorIndex: number, index?: number): void;
    setCurrentLayerValue(value: string): void;
}
/** 图层特性面板 */
export declare class LayerPanel extends React.Component<{}, {}> {
    constructor(props: {});
    /** 组件注销时 */
    componentWillUnmount(): void;
    render(): JSX.Element;
}
/** 获取图层选项(一维展开) */
export declare const getLayerOptions: (layerNodes: ILayerNode[]) => {
    label: JSX.Element;
    value: string;
}[];
export {};
//# sourceMappingURL=LayerPanel.d.ts.map