import { Singleton } from "../../../../../Common/Singleton";
import type { ILayerNode, ILayerTemplate } from "./Type";
/** 图层的状态单例 */
export declare class LayerStore extends Singleton {
    /** 自增ID(用于新图层的默认名) */
    ID: {
        file: number;
        folder: number;
    };
    /** 图层数据 */
    data: ILayerNode[];
    /** 当前图层 */
    currentLayer: ILayerNode;
    /** 是否显示视口冻结 */
    isShowViewportOff: boolean;
    /** 初始化 */
    Init(): void;
    /** 克隆图层主要数据 */
    Clone(): any;
}
/** 图层特性 */
export declare const LayerPropertieStore: {
    /** 是否显示 */
    isShow: boolean;
};
/** 图层模板的状态单例 */
export declare class LayerTemplateStore extends Singleton {
    /** 图层数据 */
    data: ILayerTemplate[];
    Clone(): {
        name: string;
        visible: boolean;
        selected: boolean;
        changeable: boolean;
        data: import("./Type").TLayerTemplateDataNode[];
    }[];
    /** 添加模板 */
    Append(name: string): ILayerTemplate;
    /** 删除模板 */
    Remove(tem: ILayerTemplate): void;
    /** 搜索模板 */
    Search(name: string, isFuzzy?: boolean): void;
}
//# sourceMappingURL=Store.d.ts.map