/** 树的基本数据类型 */
export interface INode {
    /** 名称 */
    name: string;
    /** 子节点 */
    children?: INode[];
}
/** 图层的数据类型 */
export interface ILayerNode extends INode {
    children?: ILayerNode[];
    /** 是否为当前图层 */
    isCurrent?: boolean;
    /** 是否隐藏 */
    isOff: boolean;
    /** 是否锁定 */
    isLock: boolean;
    /** 是否视口隐藏(仅在视口模式下有效) */
    isViewportOff?: boolean;
    /** 图层颜色索引 */
    colorIndex?: number;
    /** 是否显示(用于搜索过滤) */
    visible: boolean;
    /** 是否选中 */
    selected: boolean;
    /** 是否可输入(用于重命名) */
    changeable: boolean;
    /** 是否展开 */
    expanded?: boolean;
}
export type TLayerTemplateDataNode = Pick<ILayerNode, "name" | "children" | "isCurrent" | "isOff" | "isLock" | "colorIndex" | "expanded">;
/** 图层模板的数据类型 */
export interface ILayerTemplate {
    name: string;
    visible: boolean;
    selected: boolean;
    changeable: boolean;
    data: TLayerTemplateDataNode[];
}
//# sourceMappingURL=Type.d.ts.map