import { LayerAction } from "./State/Action";
import { LayerStore } from "./State/Store";
import type { ILayerNode } from "./State/Type";
/** 图层API（纯store操作，不含任何UI）提供给LayerCMD使用 */
export declare class LayerAPI {
    store: LayerStore;
    layerAction: LayerAction;
    constructor(store: LayerStore);
    /** 创建一个文件 */
    AppendFile: () => ILayerNode;
    /** 创建一个文件夹 */
    AppendFolder: () => ILayerNode;
    /** 删除文件 */
    RemoveFile: (node: ILayerNode) => void;
    /** 删除文件夹 */
    RemoveFolder: (node: ILayerNode) => void;
    /** 设置文件是否显示 */
    UpdateShowFile: (node: ILayerNode, isOff: boolean) => void;
    /** 设置文件夹是否显示 */
    UpdateShowFolder: (node: ILayerNode, isOff: boolean) => void;
    /** 设置文件是否锁定 */
    UpdateLockFile: (node: ILayerNode, isLock: boolean) => void;
    /** 设置文件夹是否锁定 */
    UpdateLockFolder: (node: ILayerNode, isLock: boolean) => void;
    /** 设置文件视口冻结 */
    UpdateViewportOffFile: (node: ILayerNode, isViewportOff: boolean) => void;
    /** 设置文件夹视口冻结 */
    UpdateViewportOffFolder: (node: ILayerNode, isViewportOff: boolean) => void;
    /** 设置图层颜色 */
    UpdateColorFile: (node: ILayerNode, colorIndex: number) => void;
    /** 设置当前图层 */
    SetCurrentFile: (node: ILayerNode) => void;
    /** 节点重命名 */
    RenameNode: (node: ILayerNode, name: string) => void;
}
//# sourceMappingURL=layerAPI.d.ts.map