import { Component } from "react";
import { Database } from "../../../../DatabaseServices/Database";
import { Curve } from "../../../../DatabaseServices/Entity/Curve";
import { Polyline } from "../../../../DatabaseServices/Entity/Polyline";
import { BulkheadCeiling } from "../../../../DatabaseServices/Room/Entity/Ceiling/BulkheadCeiling";
import { BulkheadCeilingShapeTemplateExtendData } from "../../../../DatabaseServices/Room/Entity/Ceiling/BulkheadCeilingShapeExtendData";
import { RoomFlatTop } from "../../../../DatabaseServices/Room/Entity/Flat/RoomFlatTop";
import { HeadCeilingInfoStore } from "../../../Store/HeadCeilingStore/HeadCeilingInfoStore";
import './ModifyModel.less';
interface RoomBaseParamsProps {
    roomFlatTopEnt?: RoomFlatTop;
    headCeilingEnt?: BulkheadCeiling;
}
interface ContourData {
    polyline: Polyline;
    database: Database;
    extData: BulkheadCeilingShapeTemplateExtendData;
}
export default class RoomFlatTopParams extends Component<RoomBaseParamsProps, {}> {
    _HeadCeilingInfoStore: HeadCeilingInfoStore;
    SetBulkCeilingFaceDefaultMaterial(): void;
    _PickUpModelingOnFlatTop: () => Promise<void>;
    _ApplayContour: () => Promise<void>;
    _PickUpModelingOnHeadCeiling: () => Promise<void>;
    _RedoContour: () => Promise<void>;
    /**
     * 根据曲线颜色、形状 添加吊顶形状、材质
     *
     * @param {HeadCeilingInfoStore} contourStore
     * @param {Curve} curve
     * @param {Map<number, ContourData>} objChace 吊顶轮廓数据缓存  轮廓ID-ContourData
     * @param {BulkheadCeiling} bulkheadCeiling
     * @memberof RoomFlatTopParams
     */
    _BuildBulkheadCeiling(contourStore: HeadCeilingInfoStore, curve: Curve, objChace: Map<number, ContourData>, bulkheadCeiling: BulkheadCeiling): Promise<void>;
    private _GetNewContourDate;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=RoomFlatTopParams.d.ts.map