import { Singleton } from "../../Common/Singleton";
import { IConfigOption } from "../Components/Board/UserConfigComponent";
import { IConfigStore } from "./BoardStore";
import { ConfigListMapOption } from "./OptionInterface/IOptionInterface";
export declare class ConfigListMapStore extends Singleton {
    configListMap: Map<string, string[]>;
    m_Option: ConfigListMapOption;
    InitOption(): void;
    GetConfig(key: string): Promise<any[]>;
    /**
     *  添加store.configsNames的时候请调用这里
     */
    AddConfig(key: string, addNames: string[], store: IConfigStore, isInit?: boolean): Promise<void>;
    /**
    *  修改store.configsNames的时候请调用这里
    */
    ResetConfig(key: string, resetName: string[], store: IConfigStore): Promise<void>;
    /**
    *  删除store.configsNames的时候请调用这里
    */
    DeleteConfig(key: string, name: string, store: IConfigStore): Promise<void>;
    SaveConfig(): Promise<void>;
    UpdateOption(cof: IConfigOption<ConfigListMapOption>): void;
}
export declare const configListMapStore: ConfigListMapStore;
//# sourceMappingURL=ConfigListMapStore.d.ts.map