export declare enum ToolBarType {
    both = 3,//同时显示工具和特性
    lefttoolbar = 1,//显示工具
    properties = 2,//显示特性
    resourceLibrary = 4,//显示资源库/素材库 面板
    none = 0
}
export interface ISnapData {
    mode: string;
    name: string;
    enable: boolean;
}
export interface LightsData {
    mode: LightDataModeType;
    name: string;
    enable: boolean;
}
export declare enum LightDataModeType {
    A = "AllLight",
    S = "SpotLight",
    R = "RectAreaLight",
    D = "DirectionalLight",
    P = "PointLight"
}
/**
 * 底部状态栏.
 */
export declare class DownPanelStore {
    useDynInput: boolean;
    showType: ToolBarType;
    /** 是否显示图层 */
    isLayer: boolean;
    useDynSnap: boolean;
    usePass: boolean;
    useOrtho: boolean;
    progressName: string;
    progress: number;
    isF3Checked: boolean;
    isF11Checked: boolean;
    posEl: HTMLSpanElement;
    isLayout: boolean;
    snapData: ISnapData[];
    lightsData: LightsData[];
    useAxis: boolean;
    isSmallScreen: boolean;
    isLeftToolBarShow: boolean;
    isTopToolBarShow: boolean;
    isBottomToolBarShow: boolean;
    isLeftToolBarShowMin: boolean;
    isTopToolBarShowMin: boolean;
    isBottomToolBarShowMin: boolean;
    showHideSync: boolean;
    smartUCS: boolean;
    capturePenetration: boolean;
    fontType: string;
    isSelectGroup: boolean;
    private timeId;
    private constructor();
    private OnWindowsResize;
    private static _SingleInstance;
    static GetInstance(): DownPanelStore;
    get Config(): {
        useDynInput: boolean;
        useDynSnap: boolean;
        usePass: boolean;
        useOrtho: boolean;
        isLeftToolBarShow: boolean;
        isTopToolBarShow: boolean;
        isBottomToolBarShow: boolean;
        isLeftToolBarShowMin: boolean;
        isTopToolBarShowMin: boolean;
        isBottomToolBarShowMin: boolean;
        isF3Checked: boolean;
        isF11Checked: boolean;
        snapData: boolean[];
        lightsData: boolean[];
        showHideSync: boolean;
        smartUCS: boolean;
        capturePenetration: boolean;
        isSelectGroup: boolean;
    };
    Upload(): Promise<void>;
    Update(): Promise<void>;
    toggleLeftToolBarShow(): void;
    toggleTopToolBarShow(): void;
    toggleBottomToolBarShow(): void;
    TogglePropertiesPanel(): void;
    /** 打开/关闭图层列表 */
    ToggleLayerList(): void;
    ToggleResourcePanel(): void;
    SetSnapMode(): void;
    StartProgress(name?: string, progress?: number): void;
    EndProgress(): void;
}
//# sourceMappingURL=DownPanelStore.d.ts.map