import { IReactionDisposer } from "mobx";
import { Color } from "three";
import { Singleton } from "../../Common/Singleton";
import { IGoodProps, IHardwareProps, PhysicalMaterialRecord } from "../../DatabaseServices/PhysicalMaterialRecord";
import { TextureTableRecord } from "../../DatabaseServices/Texture";
import { IDirectoryProps } from "../Components/SourceManage/CommonPanel";
import { TextureStore } from "./TextureStore";
export declare class MaterialStore extends Singleton {
    name: import("mobx").IObservableValue<string>;
    color: import("mobx").IObservableValue<string>;
    ref: import("mobx").IObservableValue<string>;
    matalness: import("mobx").IObservableValue<number>;
    baseColorLuminance: import("mobx").IObservableValue<number>;
    baseColorLightColor: import("mobx").IObservableValue<Color>;
    baseColorDarkColor: import("mobx").IObservableValue<Color>;
    baseColorSaturability: import("mobx").IObservableValue<number>;
    materialType: import("mobx").IObservableValue<"木纹" | "乳胶漆" | "烤漆" | "金属" | "亚光金属" | "自发光" | "大理石" | "混凝土" | "粗糙石材" | "玻璃" | "皮革" | "布料" | "竹藤编织">;
    useTransparent: import("mobx").IObservableValue<boolean>;
    transparent: import("mobx").IObservableValue<number>;
    textureMaping: TextureStore;
    bumpScale: import("mobx").IObservableValue<number>;
    bumpMaping: TextureStore;
    roughness: import("mobx").IObservableValue<number>;
    specular: import("mobx").IObservableValue<number>;
    roughnessMaping: TextureStore;
    selfLuminous: import("mobx").IObservableValue<number>;
    fresnelPO: import("mobx").IObservableValue<number>;
    fresnelST: import("mobx").IObservableValue<number>;
    fresnelLuminance: import("mobx").IObservableValue<number>;
    fresnelLightColor: import("mobx").IObservableValue<Color>;
    fresnelDarkColor: import("mobx").IObservableValue<Color>;
    opacityContrast: import("mobx").IObservableValue<number>;
    opacityBorder: import("mobx").IObservableValue<number>;
    opacityMaximum: import("mobx").IObservableValue<number>;
    opacityMinimum: import("mobx").IObservableValue<number>;
    refraction: import("mobx").IObservableValue<number>;
    protected reactionDestroy: IReactionDisposer;
    isOpenTexture: boolean;
    isOpenImgList: boolean;
    goodsInfo: IGoodProps;
    hardwareAttributeInfo: IHardwareProps;
    UVtype: import("mobx").IObservableValue<number>;
    currentEditorStore: TextureStore;
    currentTextureTable: TextureTableRecord;
    currentDir: IDirectoryProps;
    isFull: boolean;
    doubleside: import("mobx").IObservableValue<boolean>;
    constructor();
    get Textures(): [string, TextureTableRecord][];
    get SelfTextures(): [any, any][];
    StartObserve(): void;
    Destroy(): void;
    Material: PhysicalMaterialRecord;
    BindMaterial(material: PhysicalMaterialRecord): void;
    BindTextureId(texture: TextureTableRecord): void;
    UpdateMaterial: () => Promise<void>;
    UpdateStore(): void;
    InitTextureStore(): void;
    AddTexture(): Promise<void>;
    ApplyTexture(texture: TextureTableRecord): void;
    ChangeTextureImg(pic: {
        path: string;
    }): Promise<void>;
}
//# sourceMappingURL=MaterialStore.d.ts.map