import { ITempTagProps } from "../../../Add-on/Template/TemplateTagCommand";
import { R2bReplaceProps } from "../../../Add-on/twoD2threeD/R2bConfigComponent";
import { BoardOpenDir } from "../../../DatabaseServices/Entity/BoardInterface";
import { IGetRoomInfo } from "../../Components/Template/GetRoomCabName";
import { TempalteEditorStore } from "../TemplateEditorStore";
import { IBaseOption, IDrawBoardAutoCutOption } from "./IOptionInterface";
export interface IDir {
    dir_id: string;
    dir_name: string;
    childs: IDir[];
}
export interface IHasAutoCutOption extends IDir {
    autoCutOption?: IDrawBoardAutoCutOption;
}
export interface ITemplateManage {
    store?: TempalteEditorStore;
    currentTag?: ITempTagProps;
    R2bReplace?: R2bReplaceProps;
    ImageUseTemplate?: boolean;
    type: "Administration" | "Collection";
}
export interface TemplateManageUiOption {
    navigationWidth: string;
    showTag: boolean;
}
export interface ITemplateManageOption extends IBaseOption {
    option: TemplateOptionInfo;
    autoCutOption: IDrawBoardAutoCutOption;
    uiOption: TemplateManageUiOption;
    perPageCount: number;
    useOverallOption: boolean;
    dirData?: IHasAutoCutOption[];
    imageDefaultTemplate: string;
}
export interface TemplateOptionInfo extends IGetRoomInfo {
    hingeMoveParam?: string | number;
}
export interface TemplateManageOption extends IBaseOption {
    isAutoCut: boolean;
    isRelevance: boolean;
    roomName: string;
    cabName: string;
    useCabName: boolean;
    cabIndex?: number;
    originCabName: string;
    boardName?: string;
    useBoardName?: boolean;
    material?: string;
    color?: string;
    brMat?: string;
    useMaterial?: boolean;
    openDir?: BoardOpenDir | string;
    navigationWidth: string;
    showTag: boolean;
    perPageCount: number;
    useOverallOption: boolean;
    dirData?: IDir[];
    lockRoomName?: boolean;
    lockCabName?: boolean;
    lockBoardName?: boolean;
    isBoard?: boolean;
    isHardwareEntity?: boolean;
    imageDefaultTemplate?: string;
}
//# sourceMappingURL=TemplateManageOption.d.ts.map